Skip to main content
GET
/
plugins
/
{pluginId}
/
subscriptions
/
{id}
Get a plugin subscription
curl --request GET \
  --url https://api.smokeball.com/plugins/{pluginId}/subscriptions/{id} \
  --header 'Authorization: <api-key>' \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.smokeball.com/plugins/{pluginId}/subscriptions/{id}"

headers = {
"x-api-key": "<api-key>",
"Authorization": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>', Authorization: '<api-key>'}};

fetch('https://api.smokeball.com/plugins/{pluginId}/subscriptions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "href": "<string>",
  "relation": "<string>",
  "method": "GET",
  "self": {
    "id": "<string>",
    "href": "<string>",
    "relation": "<string>",
    "method": "GET"
  },
  "id": "b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2",
  "pluginId": "b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2",
  "pluginVersionId": "b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2",
  "createdDate": "2020-02-15T00:00:00Z",
  "lastUpdatedDate": "2020-02-15T00:00:00Z",
  "isDisabled": true
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}

Authorizations

x-api-key
string
header
required
Authorization
string
header
required

Path Parameters

pluginId
string<uuid>
required
id
string<uuid>
required

Response

When request is successful. Returns a 'PluginSubscription' object.

href
string | null
relation
string | null
method
string | null
default:GET
self
object | null
id
string | null

Unique identifier of the subscription.

Example:

"b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2"

pluginId
string | null

Unique identifier of the plugin.

Example:

"b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2"

pluginVersionId
string | null

Unique identifier of the plugin version. Can be null.

Example:

"b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2"

createdDate
string<date-time>

Plugin subscription created date in UTC.

Example:

"2020-02-15T00:00:00Z"

lastUpdatedDate
string<date-time>

Plugin subscription last updated date in UTC.

Example:

"2020-02-15T00:00:00Z"

isDisabled
boolean

True when the subscription is disabled (the plugin will not function for the user).